- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
RagTime5ClusterManager::ClusterParser Struct Referenceabstract

virtual class use to parse the cluster data More...

`#include <RagTime5ClusterManager.hxx>`

Inheritance diagram for RagTime5ClusterManager::ClusterParser:

## Public Member Functions
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor More...
virtual | ~ClusterParser ()
| destructor More...
virtual shared_ptr< Cluster > | getCluster ()=0
| return the current cluster More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster More...
virtual void | startZone ()
| start a new zone More...
virtual bool | parseZone (MWAWInputStreamPtr &, long, int, int, libmwaw::DebugStream &)
| parse a zone More...
virtual void | endZone ()
| end of a start zone call More...
virtual bool | parseField (RagTime5StructManager::Field const &, int, libmwaw::DebugStream &)
| parse a n_dataId:m More...
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name More...
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header More...
std::string | getClusterName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know) More...

## Public Attributes
RagTime5ClusterManager & | m_parser
| the main parser More...
int | m_type
| the cluster type More...
bool | m_hiLoEndian
| zone endian More...
std::string | m_name
| the cluster name More...
int | m_dataId
| the actual zone id More...
Link | m_link
| the actual link More...

## Private Member Functions
| ClusterParser (ClusterParser const &orig)
ClusterParser & | operator= (ClusterParser const &orig)

## Detailed Description

virtual class use to parse the cluster data

## Constructor & Destructor Documentation

RagTime5ClusterManager::ClusterParser::ClusterParser | ( | RagTime5ClusterManager & | parser,
|  | int | type,
|  | std::string const & | zoneName
| ) |  |
| inline

constructor

virtual RagTime5ClusterManager::ClusterParser::~ClusterParser | ( |  | ) |
| inline virtual

destructor

RagTime5ClusterManager::ClusterParser::ClusterParser | ( | ClusterParser const & | orig | ) |
| private

## Member Function Documentation

virtual void RagTime5ClusterManager::ClusterParser::endZone | ( |  | ) |
| inline virtual

end of a start zone call

Reimplemented in RagTime5ClusterManagerInternal::StyleCParser, RagTime5ClusterManagerInternal::ScriptCParser, RagTime5ClusterManagerInternal::RootChildCParser, RagTime5GraphInternal::GraphicCParser, RagTime5ClusterManagerInternal::RootCParser, RagTime5GraphInternal::PictCParser, RagTime5SpreadsheetInternal::ChartCParser, RagTime5TextInternal::TextCParser, RagTime5ClusterManagerInternal::LayoutCParser, and RagTime5SpreadsheetInternal::SpreadsheetCParser.

Referenced by RagTime5ClusterManager::readCluster().

virtual shared_ptr<Cluster> RagTime5ClusterManager::ClusterParser::getCluster | ( |  | ) |
| pure virtual

return the current cluster

Implemented in RagTime5ClusterManagerInternal::UnknownCParser, RagTime5ClusterManagerInternal::StyleCParser, RagTime5ClusterManagerInternal::ScriptCParser, RagTime5ClusterManagerInternal::RootChildCParser, RagTime5GraphInternal::GraphicCParser, RagTime5ClusterManagerInternal::RootCParser, RagTime5GraphInternal::PictCParser, RagTime5SpreadsheetInternal::ChartCParser, RagTime5ClusterManagerInternal::PipelineCParser, RagTime5TextInternal::TextCParser, RagTime5ClusterManagerInternal::LayoutCParser, RagTime5SpreadsheetInternal::SpreadsheetCParser, and RagTime5ClusterManagerInternal::ColPatCParser.

Referenced by RagTime5ClusterManager::readCluster().

std::string RagTime5ClusterManager::ClusterParser::getClusterName | ( | int | id | ) |

returns "data"+id+"A" ( followed by the cluster type and name if know)

virtual std::string RagTime5ClusterManager::ClusterParser::getZoneName | ( |  | ) | const
| inline virtual

return the debug name corresponding to a zone

Referenced by RagTime5ClusterManager::readCluster().

virtual std::string RagTime5ClusterManager::ClusterParser::getZoneName | ( | int | n,
|  | int | m = `-1`
| ) |  | const
| inline virtual

return the debug name corresponding to a cluster

bool RagTime5ClusterManager::ClusterParser::isANameHeader | ( | long | N | ) | const
| inline

return true if N correspond to a file/script name

ClusterParser& RagTime5ClusterManager::ClusterParser::operator= | ( | ClusterParser const & | orig | ) |
| private

virtual bool RagTime5ClusterManager::ClusterParser::parseField | ( | RagTime5StructManager::Field const & | ,
|  | int | ,
|  | libmwaw::DebugStream & |
| ) |  |
| inline virtual

parse a n_dataId:m

Reimplemented in RagTime5ClusterManagerInternal::StyleCParser, RagTime5ClusterManagerInternal::ScriptCParser, RagTime5ClusterManagerInternal::RootChildCParser, RagTime5GraphInternal::GraphicCParser, RagTime5ClusterManagerInternal::RootCParser, RagTime5GraphInternal::PictCParser, RagTime5SpreadsheetInternal::ChartCParser, RagTime5ClusterManagerInternal::LayoutCParser, RagTime5TextInternal::TextCParser, RagTime5SpreadsheetInternal::SpreadsheetCParser, and RagTime5ClusterManagerInternal::ColPatCParser.

Referenced by RagTime5ClusterManager::readCluster().

virtual bool RagTime5ClusterManager::ClusterParser::parseZone | ( | MWAWInputStreamPtr & | ,
|  | long | ,
|  | int | ,
|  | int | ,
|  | libmwaw::DebugStream & |
| ) |  |
| inline virtual

parse a zone

Reimplemented in RagTime5ClusterManagerInternal::StyleCParser, RagTime5ClusterManagerInternal::ScriptCParser, RagTime5ClusterManagerInternal::RootChildCParser, RagTime5GraphInternal::GraphicCParser, RagTime5ClusterManagerInternal::RootCParser, RagTime5GraphInternal::PictCParser, RagTime5SpreadsheetInternal::ChartCParser, RagTime5ClusterManagerInternal::PipelineCParser, RagTime5TextInternal::TextCParser, RagTime5ClusterManagerInternal::LayoutCParser, RagTime5SpreadsheetInternal::SpreadsheetCParser, and RagTime5ClusterManagerInternal::ColPatCParser.

Referenced by RagTime5ClusterManager::readCluster().

bool RagTime5ClusterManager::ClusterParser::readLinkHeader | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | Link & | link,
|  | long(&) | values[4],
|  | std::string & | message
| ) |  |

try to read a link header

virtual void RagTime5ClusterManager::ClusterParser::startZone | ( |  | ) |
| inline virtual

start a new zone

Reimplemented in RagTime5TextInternal::TextCParser, and RagTime5ClusterManagerInternal::LayoutCParser.

Referenced by RagTime5ClusterManager::readCluster().

## Member Data Documentation

int RagTime5ClusterManager::ClusterParser::m_dataId

the actual zone id

Referenced by RagTime5ClusterManager::readCluster().

bool RagTime5ClusterManager::ClusterParser::m_hiLoEndian

zone endian

Referenced by isANameHeader(), and RagTime5ClusterManager::readCluster().

Link RagTime5ClusterManager::ClusterParser::m_link

the actual link

Referenced by RagTime5SpreadsheetInternal::SpreadsheetCParser::endZone(), RagTime5TextInternal::TextCParser::endZone(), RagTime5GraphInternal::PictCParser::endZone(), and RagTime5ClusterManager::readCluster().

std::string RagTime5ClusterManager::ClusterParser::m_name

the cluster name

Referenced by getZoneName().

RagTime5ClusterManager& RagTime5ClusterManager::ClusterParser::m_parser

the main parser

Referenced by getClusterName().

int RagTime5ClusterManager::ClusterParser::m_type

the cluster type

The documentation for this struct was generated from the following files:

- RagTime5ClusterManager.hxx
- RagTime5ClusterManager.cxx